+++ /dev/null
-# RESTORE_ON_START:
-# Do you want to restore your mixer settings? If not, your cards will be
-# muted.
-# no - Do not restore state
-# yes - Restore state
-
-RESTORE_ON_START="yes"
-
-# SAVE_ON_STOP:
-# Do you want to save changes made to your mixer volumes when alsasound
-# stops?
-# no - Do not save state
-# yes - Save state
-
-SAVE_ON_STOP="yes"
-# ENABLE_OSS_EMUL:
-# Do you want to enable in-kernel oss emulation?
-# no - Do not load oss emul drivers
-# yes - Load oss emul drivers if they're found
-
-ENABLE_OSS_EMUL="yes"
-
# RESTORE_ON_START:
# Do you want to restore your mixer settings? If not, your cards will be
# muted.
--- /dev/null
+# ENABLE_OSS_EMUL:
+# Do you want to enable in-kernel oss emulation?
+# no - Do not load oss emul drivers
+# yes - Load oss emul drivers if they're found
+
+ENABLE_OSS_EMUL="yes"
+
+# RESTORE_ON_START:
+# Do you want to restore your mixer settings? If not, your cards will be
+# muted.
+# no - Do not restore state
+# yes - Restore state
+
+RESTORE_ON_START="yes"
+
+# SAVE_ON_STOP:
+# Do you want to save changes made to your mixer volumes when alsasound
+# stops?
+# no - Do not save state
+# yes - Save state
+
+SAVE_ON_STOP="yes"
+
+# LOAD_ON_START:
+# Do you want to load sound modules when alsasound starts?
+# Note: The Gentoo ALSA developers encourage you to build your sound
+# drivers into the kernel unless the device is hotpluggable or
+# you need to supply specific options (such as model= to HD-Audio).
+# no - Do not load modules
+# yes - Load modules
+LOAD_ON_START="yes"
--- /dev/null
+# RESTORE_ON_START:
+# Do you want to restore your mixer settings? If not, your cards will be
+# muted.
+# no - Do not restore state
+# yes - Restore state
+
+RESTORE_ON_START="yes"
+
+# SAVE_ON_STOP:
+# Do you want to save changes made to your mixer volumes when alsasound
+# stops?
+# no - Do not save state
+# yes - Save state
+
+SAVE_ON_STOP="yes"
--- /dev/null
+# cups-pdf.conf -- CUPS Backend Configuration (version 2.4.8, 2008-06-22)
+# 18.09.2005, Volker C. Behr
+# Exp. Physik V, Uni Wuerzburg
+# vrbehr@cip.physik.uni-wuerzburg.de
+# http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf
+#
+#
+# This code may be freely distributed as long as this header
+# is preserved. Changes to the code should be clearly indicated.
+#
+# This code is distributed under the GPL.
+# (http://www.gnu.org/copyleft/gpl.html)
+#
+# For more detailed licensing information see cups-pdf.c in the
+# corresponding version number.
+
+###########################################################################
+# #
+# This is the configuration file for CUPS-PDF. Values that are not set in #
+# here will use the defaults. Changes take effect immediately without the #
+# need for restarting any services. #
+# #
+# Take care not to add whitespaces at the end of a line! #
+# #
+###########################################################################
+
+
+###########################################################################
+# #
+# Path Settings #
+# #
+###########################################################################
+
+### Key: Out
+## CUPS-PDF output directory
+## special qualifiers:
+## ${HOME} will be expanded to the user's home directory
+## ${USER} will be expanded to the user name
+## in case it is an NFS export make sure it is exported without
+## root_squash!
+### Default: /var/spool/cups-pdf/${USER}
+
+#Out /var/spool/cups-pdf/${USER}
+
+### Key: AnonDirName
+## ABSOLUTE path for anonymously created PDF files
+## if anonymous access is disabled this setting has no effect
+### Default: /var/spool/cups-pdf/ANONYMOUS
+
+#AnonDirName /var/spool/cups-pdf/ANONYMOUS
+
+### Key: Spool
+## CUPS-PDF spool directory - make sure there is no user 'SPOOL' on your
+## system or change the path
+### Default: /var/spool/cups-pdf/SPOOL
+
+#Spool /var/spool/cups-pdf/SPOOL
+
+
+###########################################################################
+# #
+# Filename Settings #
+# #
+###########################################################################
+
+### Key: Cut
+## removing file name extensions before appending .pdf to output
+## extensions will only be removed if _both_ the following criteria are met:
+## - the extension (w/o the dot) is not longer than <Cut> characters
+## - the remaining filename has a minimal length of 1 character
+## set Cut to -1 in order to disable cutting
+## recommended values: pure UNIX environment : -1
+## mixed environments : 3
+### Default: 3
+
+#Cut 3
+
+### Key: Label
+## label all jobs with a unique job-id in order to avoid overwriting old
+## files in case new ones with identical names are created; always true for
+## untitled documents
+## 0: label untitled documents only, 1: label all documents
+### Default: 0
+
+#Label 0
+
+### Key: TitlePref
+## where to look first for a title when creating the output filename
+## (title in PS file or title on commandline):
+## 0: prefer title from %Title statement in the PS file
+## 1: prefer title passed via commandline
+### Default: 0
+
+#TitlePref 0
+
+
+###########################################################################
+# #
+# User Settings #
+# #
+###########################################################################
+
+### Key: AnonUser
+## user for anonymous PDF creation (this might be a security issue)
+## set this to an empty value to disable anonymous
+### Default: nobody
+
+#AnonUser nobody
+
+### Key: LowerCase
+## This options allows to check user names given to CUPS-PDF additionally
+## against their lower case variants. This is necessary since in some
+## Windows environments only upper case user names are passed. Usually UNIX
+## user names are all lower case and it is save to use this option
+## but be aware that it can lead to mis-identifications in case
+## you have user names that differ only in upper/lower case.
+## check only against user name as passed to CUPS : 0
+## check additionally against lower case user name : 1
+### Default: 1
+
+#LowerCase 1
+
+### Key: UserPrefix
+## some installations require a domain prefix added to the user name
+## leave empty for no prefix
+### Default: <empty>
+
+#UserPrefix
+
+### Key: DirPrefix
+## if a prefix was defined above this switch toggels whether to include
+## the prefix in the output directory's name (if not $HOME) or not
+## 0: do not include, 1: include
+### Default: 0
+
+#DirPrefix 0
+
+### Key: RemovePrefix
+## some installation pass usernames with a prefix (usually a domain name)
+## if you do not want this prefix to be used by the ${USER} variable for
+## output directories put the part which is to be cut here
+### Default: <empty>
+
+#RemovePrefix
+
+
+###########################################################################
+# #
+# Security Settings #
+# #
+###########################################################################
+
+### Key: AnonUMask
+## umask for anonymous output
+## these are the _inverse_ permissions to be granted
+### Default: 0000
+
+#AnonUMask 0000
+
+### Key: UserUMask
+## umask for user output of known users
+## changing this can introduce security leaks if confidential
+## information is processed!
+### Default: 0077
+
+#UserUMask 0077
+
+### Key: Grp
+## group cups-pdf is supposed to run as - this will also be the gid for all
+## created directories and log files
+### Default: lp
+
+#Grp lp
+
+
+###########################################################################
+# #
+# Log Settings #
+# #
+###########################################################################
+
+### Key: Log
+## CUPS-PDF log directory
+## set this to an empty value to disable all logging
+### Default: /var/log/cups
+
+#Log /var/log/cups
+
+### Key: LogType
+## log-mode
+## 1: errors
+## 2: status (i.e. activity)
+## 4: debug - this will generate a lot of log-output!
+## add up values to combine options, i.e. 7 is full logging
+## if logging is disabled these setting have no effect
+### Default: 3
+
+#LogType 3
+
+
+###########################################################################
+# #
+# PDF Conversion Settings #
+# #
+###########################################################################
+
+### Key: GhostScript
+## location of GhostScript binary (gs)
+## MacOSX: for using pstopdf (recommended) set this to /usr/bin/pstopdf
+## or its proper location on your system
+### Default: /usr/bin/gs
+
+#GhostScript /usr/bin/gs
+
+### Key: GSTmp
+## location of temporary files during GhostScript operation
+## this must be user-writable like /var/tmp or /tmp !
+### Default: /var/tmp
+
+#GSTmp /var/tmp
+
+### Key: GSCall
+## command line for calling GhostScript (!!! DO NOT USE NEWLINES !!!)
+## MacOSX: for using pstopdf set this to %s %s -o %s %s
+### Default: %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
+
+#GSCall %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
+
+### Key: PDFVer
+## PDF version to be created - can be "1.5", "1.4", "1.3" or "1.2"
+## MacOSX: for using pstopdf set this to an empty value
+### Default: 1.4
+
+#PDFVer 1.4
+
+### Key: PostProcessing
+## postprocessing script that will be called after the creation of the PDF
+## as arguments the filename of the PDF, the username as determined by
+## CUPS-PDF and the one as given to CUPS-PDF will be passed
+## the script will be called with user privileges
+## set this to an empty value to use no postprocessing
+### Default: <empty>
+
+#PostProcessing
+
+
+###########################################################################
+# #
+# Experimental Settings #
+# These settings activate experimental options. If you decide to use #
+# them I would appreciate any feedback - including an 'ok' if they #
+# work as expected - so I can eventually put them into the non- #
+# experimental sections. #
+# #
+###########################################################################
+
+### Key: DecodeHexStrings
+## this option will try to decode hex strings in the title to allow
+## internationalized titles
+## (have a look at contrib/pstitleconv for a suitable filter for data
+## from Windows clients)
+## 0: disable, 1: enable
+### Default: 0
+
+#DecodeHexStrings 0
--- /dev/null
+# cups-pdf.conf -- CUPS Backend Configuration (version 2.6.1, 2011-10-04)
+# 18.09.2005, Volker C. Behr
+# Experimentelle Physik V, Universitaet Wuerzburg
+# behr@physik.uni-wuerzburg.de
+# http://www.cups-pdf.de
+#
+#
+# This code may be freely distributed as long as this header
+# is preserved. Changes to the code should be clearly indicated.
+#
+# This code is distributed under the GPL.
+# (http://www.gnu.org/copyleft/gpl.html)
+#
+# For more detailed licensing information see cups-pdf.c in the
+# corresponding version number.
+
+###########################################################################
+# #
+# This is the configuration file for CUPS-PDF. Values that are not set in #
+# here will use the defaults. Changes take effect immediately without the #
+# need for restarting any services. #
+# #
+# Take care not to add whitespaces at the end of a line! #
+# #
+###########################################################################
+
+
+###########################################################################
+# #
+# Path Settings #
+# #
+###########################################################################
+
+### Key: Out
+## CUPS-PDF output directory
+## special qualifiers:
+## ${HOME} will be expanded to the user's home directory
+## ${USER} will be expanded to the user name
+## in case it is an NFS export make sure it is exported without
+## root_squash!
+### Default: /var/spool/cups-pdf/${USER}
+
+#Out /var/spool/cups-pdf/${USER}
+
+### Key: AnonDirName
+## ABSOLUTE path for anonymously created PDF files
+## if anonymous access is disabled this setting has no effect
+### Default: /var/spool/cups-pdf/ANONYMOUS
+
+#AnonDirName /var/spool/cups-pdf/ANONYMOUS
+
+### Key: Spool
+## CUPS-PDF spool directory - make sure there is no user 'SPOOL' on your
+## system or change the path
+### Default: /var/spool/cups-pdf/SPOOL
+
+#Spool /var/spool/cups-pdf/SPOOL
+
+
+###########################################################################
+# #
+# Filename Settings #
+# #
+###########################################################################
+
+### Key: Truncate
+## truncate long filenames to a maximum of <Truncate> characters
+## this does not consider the full path to the output but only the filename
+## without the .pdf-extension or a job-id prefix (see 'Label')
+## the minimal value is 8
+### Default: 64
+
+#Truncate 64
+
+### Key: Cut
+## removing file name extensions before appending .pdf to output
+## extensions will only be removed if _both_ the following criteria are met:
+## - the extension (w/o the dot) is not longer than <Cut> characters
+## - the remaining filename has a minimal length of 1 character
+## set Cut to -1 in order to disable cutting
+## recommended values: pure UNIX environment : -1
+## mixed environments : 3
+### Default: 3
+
+#Cut 3
+
+### Key: Label
+## label all jobs with a unique job-id in order to avoid overwriting old
+## files in case new ones with identical names are created; always true for
+## untitled documents
+## 0: label untitled documents only
+## 1: label all documents with a preceeding "job_#-"
+## 2: label all documents with a tailing "-job_#"
+### Default: 0
+
+#Label 0
+
+### Key: TitlePref
+## where to look first for a title when creating the output filename
+## (title in PS file or title on commandline):
+## 0: prefer title from %Title statement in the PS file
+## 1: prefer title passed via commandline
+### Default: 0
+
+#TitlePref 0
+
+
+###########################################################################
+# #
+# User Settings #
+# #
+###########################################################################
+
+### Key: AnonUser
+## uid for anonymous PDF creation (this might be a security issue)
+## this setting has no influence on AnonDirName (see there)
+## set this to an empty value to disable anonymous
+### Default: nobody
+
+#AnonUser nobody
+
+### Key: LowerCase
+## This options allows to check user names given to CUPS-PDF additionally
+## against their lower case variants. This is necessary since in some
+## Windows environments only upper case user names are passed. Usually UNIX
+## user names are all lower case and it is save to use this option
+## but be aware that it can lead to mis-identifications in case
+## you have user names that differ only in upper/lower case.
+## check only against user name as passed to CUPS : 0
+## check additionally against lower case user name : 1
+### Default: 1
+
+#LowerCase 1
+
+### Key: UserPrefix
+## some installations require a domain prefix added to the user name
+## leave empty for no prefix
+### Default: <empty>
+
+#UserPrefix
+
+### Key: DirPrefix
+## if a prefix was defined above this switch toggels whether to include
+## the prefix in the output directory's name (if not $HOME) or not
+## 0: do not include, 1: include
+### Default: 0
+
+#DirPrefix 0
+
+### Key: RemovePrefix
+## some installation pass usernames with a prefix (usually a domain name)
+## if you do not want this prefix to be used by the ${USER} variable for
+## output directories put the part which is to be cut here
+### Default: <empty>
+
+#RemovePrefix
+
+
+###########################################################################
+# #
+# Security Settings #
+# #
+###########################################################################
+
+### Key: AnonUMask
+## umask for anonymous output
+## these are the _inverse_ permissions to be granted
+### Default: 0000
+
+#AnonUMask 0000
+
+### Key: UserUMask
+## umask for user output of known users
+## changing this can introduce security leaks if confidential
+## information is processed!
+### Default: 0077
+
+#UserUMask 0077
+
+### Key: Grp
+## group cups-pdf is supposed to run as - this will also be the gid for all
+## created directories and log files
+### Default: lp
+
+#Grp lp
+
+
+###########################################################################
+# #
+# Log Settings #
+# #
+###########################################################################
+
+### Key: Log
+## CUPS-PDF log directory
+## set this to an empty value to disable all logging
+### Default: /var/log/cups
+
+#Log /var/log/cups
+
+### Key: LogType
+## log-mode
+## 1: errors
+## 2: status (i.e. activity)
+## 4: debug - this will generate a lot of log-output!
+## add up values to combine options, i.e. 7 is full logging
+## if logging is disabled these setting have no effect
+### Default: 3
+
+#LogType 3
+
+
+###########################################################################
+# #
+# PDF Conversion Settings #
+# #
+###########################################################################
+
+### Key: GhostScript
+## location of GhostScript binary (gs)
+## MacOSX: for using pstopdf (recommended) set this to /usr/bin/pstopdf
+## or its proper location on your system
+### Default: /usr/bin/gs
+
+#GhostScript /usr/bin/gs
+
+### Key: GSTmp
+## location of temporary files during GhostScript operation
+## this must be user-writable like /var/tmp or /tmp !
+### Default: /var/tmp
+
+#GSTmp /var/tmp
+
+### Key: GSCall
+## command line for calling GhostScript (!!! DO NOT USE NEWLINES !!!)
+## MacOSX: for using pstopdf set this to %s %s -o %s %s
+### Default: %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
+
+#GSCall %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
+
+### Key: PDFVer
+## PDF version to be created - can be "1.5", "1.4", "1.3" or "1.2"
+## MacOSX: for using pstopdf set this to an empty value
+### Default: 1.4
+
+#PDFVer 1.4
+
+### Key: PostProcessing
+## postprocessing script that will be called after the creation of the PDF
+## as arguments the filename of the PDF, the username as determined by
+## CUPS-PDF and the one as given to CUPS-PDF will be passed
+## the script will be called with user privileges
+## set this to an empty value to use no postprocessing
+### Default: <empty>
+
+#PostProcessing
+
+
+###########################################################################
+# #
+# Experimental Settings #
+# These settings activate experimental options. If you decide to use #
+# them I would appreciate any feedback - including an 'ok' if they #
+# work as expected - so I can eventually put them into the non- #
+# experimental sections. #
+# #
+###########################################################################
+
+### Key: DecodeHexStrings
+## this option will try to decode hex strings in the title to allow
+## internationalized titles
+## (have a look at contrib/pstitleconv for a suitable filter for data
+## from Windows clients)
+## 0: disable, 1: enable
+### Default: 0
+
+#DecodeHexStrings 0
+
+### Key: FixNewlines
+## this option will try to fix various unusal line delimiters (e.g.
+## form feeds)
+## especially useful when using non-Linux-generated files
+## 0: disable, 1: enable
+### Default: 0
+
+#FixNewlines 0
+
-postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.1"
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.2"
--- /dev/null
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.1"
-postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.3"
-postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.1"
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.2"
--- /dev/null
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.1"
-postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.3"
-postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.1"
+postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.2-r2"
--- /dev/null
+postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.1"
-postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.2-r2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.3"
--- /dev/null
+#!/sbin/runscript
+# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r4,v 1.2 2011/10/23 15:59:07 polynomial-c Exp $
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+alsastatedir=/var/lib/alsa
+alsascrdir=/etc/alsa.d
+
+extra_commands="save restore"
+
+depend() {
+ need localmount
+ after bootmisc modules isapnp coldplug hotplug
+}
+
+load_modules() {
+ # List of drivers for each card.
+ local DRIVERS="$(modprobe -c | sed -n -e 's/^alias \(snd-card-[[:digit:]]\+\) .*/\1/p')"
+
+ # Fall back on the automated aliases if we don't have ALSA configured properly...
+ if [ -z "${DRIVERS}" ] && \
+ ( [ ! -r /proc/asound/cards ] || grep -q ' no soundcards ' /proc/asound/cards 2>/dev/null ) ; then
+ ewarn "Could not detect custom ALSA settings. Loading all detected alsa drivers."
+ DRIVERS="$(modprobe -c | sed -n -e '/^alias pci:.* snd.*/ s/^alias pci:[^ ]* \(.*\)/\1/p' | sort | uniq)"
+ if [ -z "${DRIVERS}" ] ; then
+ eerror "Unable to find any ALSA drivers. Have you compiled alsa-drivers correctly?"
+ fi
+ fi
+
+ if [ "${ENABLE_OSS_EMUL}" = "yes" ] ; then
+ DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.*oss/ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+ fi
+
+ # We want to ensure snd-seq is loaded as it is needed for things like
+ # timidity even if we don't use a real sequencer.
+ DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.seq\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+
+ # We want to ensure snd-ioctl32 is loaded as it is needed for 32bit
+ # compatibility
+ DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.ioctl32\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+
+ local DRIVER= DMOD=
+ for DRIVER in ${DRIVERS} ; do
+ [ "${DRIVER}" = "off" ] && continue
+ DMOD="$(echo "${DRIVER}" | sed -e 's/-/_/g')"
+ if ! grep -q "^${DMOD} " /proc/modules ; then
+ ebegin "Loading: ${DRIVER}"
+ modprobe ${DRIVER}
+ eend $?
+ fi
+ done
+
+ if [ -f /proc/asound/seq/drivers ] ; then
+ local SEQUENCERS="$(sed -n -e 's/\([^,]*\),empty,.*/\1/p' /proc/asound/seq/drivers)"
+ local SEQUENCER
+ for SEQUENCER in ${SEQUENCERS} ; do
+ DMOD="$(echo "${SEQUENCER}" | sed -e 's/-/_/g')"
+ if ! grep -q "^${DMOD} " /proc/modules ; then
+ ebegin "Loading: ${SEQUENCER}"
+ modprobe ${SEQUENCER}
+ eend $?
+ fi
+ done
+ fi
+
+ for DRIVER in ${DRIVERS}
+ do
+ local TMP=${DRIVER##snd-}
+ TMP=${TMP##snd_}
+ if [ -x "${alsascrdir}/${TMP}" ] ; then
+ ebegin "Running: ${alsascrdir}/${TMP}"
+ "${alsascrdir}/${TMP}"
+ eend $?
+ fi
+ done
+
+ if [ ! -d /proc/asound ] || grep -q ' no soundcards ' /proc/asound/cards ; then
+ eerror "ERROR: Failed to load necessary drivers"
+ return 1
+ fi
+}
+
+unload_modules_24() {
+ local LOADED_MODULES="$(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p')"
+ local MODULE
+ for MODULE in ${LOADED_MODULES} ; do
+ rmmod "${MODULE}"
+ done
+ rmmod soundcore 2>/dev/null
+ rmmod gameport 2>/dev/null
+
+ lsmod | grep -vq '^snd'
+}
+
+unload_modules_recursive() {
+ local revdeps="$(lsmod | sed -n -e "s/,/ /g" -e "s/^$1 *[0-9]* *[0-9]* \(.*\)/\1/p")"
+
+ for module in ${revdeps} ; do
+ unload_modules_recursive "${module}"
+ done
+
+ vebegin "Unloading: $1"
+ rmmod --wait "$1"
+ veend $?
+}
+
+unload_modules_26() {
+ # First of all, remove the snd module and all the modules depending
+ # on it, this should remove already most of ALSA modules.
+ lsmod | grep -q "^snd[[:space:]]" && unload_modules_recursive snd
+
+ # Then find the remaining ones, and handle them too.
+ for module in $(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p'); do
+ unload_modules_recursive "${module}"
+ done
+
+ lsmod | grep -vq "^snd"
+}
+
+terminate() {
+ #
+ # Kill processes holding open sound devices
+ #
+ # DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; echo /proc/asound/dev/*`
+ local ossdevs="/dev/admmidi* /dev/adsp* /dev/amidi* /dev/audio* /dev/dmfm* \
+ /dev/dmmidi* /dev/dsp* /dev/dspW* /dev/midi0* /dev/mixer* /dev/music \
+ /dev/patmgr* /dev/sequencer* /dev/sndstat"
+ local alsadevs="/proc/asound/dev/* /dev/sound/* /dev/snd/*"
+ fuser -k ${ossdevs} ${alsadevs} >/dev/null 2>/dev/null
+
+ # remove all sequencer connections if any
+ [ -f /proc/asound/seq/clients ] && type aconnect >/dev/null 2>/dev/null && aconnect --removeall
+}
+
+restore() {
+ ebegin "Restoring Mixer Levels"
+
+ if [ ! -r "${alsastatedir}/asound.state" ] ; then
+ ewarn "No mixer config in ${alsastatedir}/asound.state, you have to unmute your card!"
+ eend 0
+ return 0
+ fi
+
+ local cards="$(sed -n -e 's/ *\([[:digit:]]*\) .*/\1/p' /proc/asound/cards)"
+ local CARDNUM
+ for cardnum in ${cards}; do
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ alsactl -f "${alsastatedir}/asound.state" restore ${cardnum} \
+ || ewarn "Errors while restoring defaults, ignoring"
+ done
+
+ for ossfile in "${alsastatedir}"/oss/card*_pcm* ; do
+ [ -e "${ossfile}" ] || continue
+ # We use cat because I'm not sure if cp works properly on /proc
+ local procfile=${ossfile##${alsastatedir}/oss}
+ procfile="$(echo "${procfile}" | sed -e 's,_,/,g')"
+ if [ -e /proc/asound/"${procfile}"/oss ] ; then
+ cat "${ossfile}" > /proc/asound/"${procfile}"/oss
+ fi
+ done
+
+ eend 0
+}
+
+save() {
+ ebegin "Storing ALSA Mixer Levels"
+
+ mkdir -p "${alsastatedir}"
+ if ! alsactl -f "${alsastatedir}/asound.state" store; then
+ eerror "Error saving levels."
+ eend 1
+ return 1
+ fi
+
+ for ossfile in /proc/asound/card*/pcm*/oss; do
+ [ -e "${ossfile}" ] || continue
+ local device=${ossfile##/proc/asound/} ; device=${device%%/oss}
+ device="$(echo "${device}" | sed -e 's,/,_,g')"
+ mkdir -p "${alsastatedir}/oss/"
+ cp "${ossfile}" "${alsastatedir}/oss/${device}"
+ done
+
+ eend 0
+}
+
+start() {
+ if [ -f /proc/modules ] && [ "${LOAD_ON_START}" = "yes" ]; then
+ ebegin "Loading ALSA modules"
+ eindent
+ load_modules
+ eoutdent
+ eend $? || return 1
+ fi
+
+ if [ ! -d /proc/asound ]; then
+ eerror "ALSA failed to load."
+ eend 1
+ return 1
+ elif [ "${RESTORE_ON_START}" = "yes" ]; then
+ restore
+ fi
+
+ return 0
+}
+
+stop() {
+ if [ ! -d /proc/asound ] ; then
+ eerror "ALSA is not loaded"
+ return 0
+ fi
+
+ [ "${SAVE_ON_STOP}" = "yes" ] && save
+
+ return 0
+}
--- /dev/null
+#!/sbin/runscript
+# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r5,v 1.1 2012/02/20 09:03:53 chainsaw Exp $
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+alsastatedir=/var/lib/alsa
+alsascrdir=/etc/alsa.d
+
+extra_commands="save restore"
+
+depend() {
+ need localmount
+ after bootmisc modules isapnp coldplug hotplug
+}
+
+restore() {
+ ebegin "Restoring Mixer Levels"
+
+ if [ ! -r "${alsastatedir}/asound.state" ] ; then
+ ewarn "No mixer config in ${alsastatedir}/asound.state, you have to unmute your card!"
+ eend 0
+ return 0
+ fi
+
+ local cards="$(sed -n -e 's/ *\([[:digit:]]*\) .*/\1/p' /proc/asound/cards)"
+ local CARDNUM
+ for cardnum in ${cards}; do
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+ alsactl -I -f "${alsastatedir}/asound.state" restore ${cardnum} \
+ || ewarn "Errors while restoring defaults, ignoring"
+ done
+
+ for ossfile in "${alsastatedir}"/oss/card*_pcm* ; do
+ [ -e "${ossfile}" ] || continue
+ # We use cat because I'm not sure if cp works properly on /proc
+ local procfile=${ossfile##${alsastatedir}/oss}
+ procfile="$(echo "${procfile}" | sed -e 's,_,/,g')"
+ if [ -e /proc/asound/"${procfile}"/oss ] ; then
+ cat "${ossfile}" > /proc/asound/"${procfile}"/oss
+ fi
+ done
+
+ eend 0
+}
+
+save() {
+ ebegin "Storing ALSA Mixer Levels"
+
+ mkdir -p "${alsastatedir}"
+ if ! alsactl -f "${alsastatedir}/asound.state" store; then
+ eerror "Error saving levels."
+ eend 1
+ return 1
+ fi
+
+ for ossfile in /proc/asound/card*/pcm*/oss; do
+ [ -e "${ossfile}" ] || continue
+ local device=${ossfile##/proc/asound/} ; device=${device%%/oss}
+ device="$(echo "${device}" | sed -e 's,/,_,g')"
+ mkdir -p "${alsastatedir}/oss/"
+ cp "${ossfile}" "${alsastatedir}/oss/${device}"
+ done
+
+ eend 0
+}
+
+start() {
+ if [ "${RESTORE_ON_START}" = "yes" ]; then
+ restore
+ fi
+
+ return 0
+}
+
+stop() {
+ if [ "${SAVE_ON_STOP}" = "yes" ]; then
+ save
+ fi
+ return 0
+}
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/dbus/files/dbus.init-1.0,v 1.5 2011/09/23 12:45:03 polynomial-c Exp $
+
+extra_started_commands="reload"
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting D-BUS system messagebus"
+
+ /usr/bin/dbus-uuidgen --ensure
+
+ # We need to test if /var/run/dbus exists, since script will fail if it does not
+ [ ! -e /var/run/dbus ] && mkdir /var/run/dbus
+
+ start-stop-daemon --start --pidfile /var/run/dbus.pid --exec /usr/bin/dbus-daemon -- --system
+ eend $?
+}
+
+stop() {
+ local retval
+
+ ebegin "Stopping D-BUS system messagebus"
+
+ start-stop-daemon --stop --pidfile /var/run/dbus.pid
+ retval=$?
+
+ eend ${retval}
+
+ [ -S /var/run/dbus/system_bus_socket ] && rm -f /var/run/dbus/system_bus_socket
+
+ return ${retval}
+}
+
+reload() {
+ local retval
+
+ ebegin "Reloading D-BUS messagebus config"
+
+ /usr/bin/dbus-send --print-reply --system --type=method_call \
+ --dest=org.freedesktop.DBus \
+ / org.freedesktop.DBus.ReloadConfig > /dev/null
+ retval=$?
+ eend ${retval}
+ return ${retval}
+}
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/dbus/files/dbus.initd,v 1.1 2011/11/05 13:56:10 ssuominen Exp $
+
+extra_started_commands="reload"
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting D-BUS system messagebus"
+ /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
+
+ # We need to test if /var/run/dbus exists, since script will fail if it does not
+ [ ! -e /var/run/dbus ] && mkdir /var/run/dbus
+
+ start-stop-daemon --start --pidfile /var/run/dbus.pid --exec /usr/bin/dbus-daemon -- --system
+ eend $?
+}
+
+stop() {
+ local retval
+
+ ebegin "Stopping D-BUS system messagebus"
+
+ start-stop-daemon --stop --pidfile /var/run/dbus.pid
+ retval=$?
+
+ eend ${retval}
+
+ [ -S /var/run/dbus/system_bus_socket ] && rm -f /var/run/dbus/system_bus_socket
+
+ return ${retval}
+}
+
+reload() {
+ local retval
+
+ ebegin "Reloading D-BUS messagebus config"
+
+ /usr/bin/dbus-send --print-reply --system --type=method_call \
+ --dest=org.freedesktop.DBus \
+ / org.freedesktop.DBus.ReloadConfig > /dev/null
+ retval=$?
+ eend ${retval}
+ return ${retval}
+}
+++ /dev/null
-# cups-pdf.conf -- CUPS Backend Configuration (version 2.6.1, 2011-10-04)
-# 18.09.2005, Volker C. Behr
-# Experimentelle Physik V, Universitaet Wuerzburg
-# behr@physik.uni-wuerzburg.de
-# http://www.cups-pdf.de
-#
-#
-# This code may be freely distributed as long as this header
-# is preserved. Changes to the code should be clearly indicated.
-#
-# This code is distributed under the GPL.
-# (http://www.gnu.org/copyleft/gpl.html)
-#
-# For more detailed licensing information see cups-pdf.c in the
-# corresponding version number.
-
-###########################################################################
-# #
-# This is the configuration file for CUPS-PDF. Values that are not set in #
-# here will use the defaults. Changes take effect immediately without the #
-# need for restarting any services. #
-# #
-# Take care not to add whitespaces at the end of a line! #
-# #
-###########################################################################
-
-
-###########################################################################
-# #
-# Path Settings #
-# #
-###########################################################################
-
-### Key: Out
-## CUPS-PDF output directory
-## special qualifiers:
-## ${HOME} will be expanded to the user's home directory
-## ${USER} will be expanded to the user name
-## in case it is an NFS export make sure it is exported without
-## root_squash!
-### Default: /var/spool/cups-pdf/${USER}
-
-#Out /var/spool/cups-pdf/${USER}
-
-### Key: AnonDirName
-## ABSOLUTE path for anonymously created PDF files
-## if anonymous access is disabled this setting has no effect
-### Default: /var/spool/cups-pdf/ANONYMOUS
-
-#AnonDirName /var/spool/cups-pdf/ANONYMOUS
-
-### Key: Spool
-## CUPS-PDF spool directory - make sure there is no user 'SPOOL' on your
-## system or change the path
-### Default: /var/spool/cups-pdf/SPOOL
-
-#Spool /var/spool/cups-pdf/SPOOL
-
-
-###########################################################################
-# #
-# Filename Settings #
-# #
-###########################################################################
-
-### Key: Truncate
-## truncate long filenames to a maximum of <Truncate> characters
-## this does not consider the full path to the output but only the filename
-## without the .pdf-extension or a job-id prefix (see 'Label')
-## the minimal value is 8
-### Default: 64
-
-#Truncate 64
-
-### Key: Cut
-## removing file name extensions before appending .pdf to output
-## extensions will only be removed if _both_ the following criteria are met:
-## - the extension (w/o the dot) is not longer than <Cut> characters
-## - the remaining filename has a minimal length of 1 character
-## set Cut to -1 in order to disable cutting
-## recommended values: pure UNIX environment : -1
-## mixed environments : 3
-### Default: 3
-
-#Cut 3
-
-### Key: Label
-## label all jobs with a unique job-id in order to avoid overwriting old
-## files in case new ones with identical names are created; always true for
-## untitled documents
-## 0: label untitled documents only
-## 1: label all documents with a preceeding "job_#-"
-## 2: label all documents with a tailing "-job_#"
-### Default: 0
-
-#Label 0
-
-### Key: TitlePref
-## where to look first for a title when creating the output filename
-## (title in PS file or title on commandline):
-## 0: prefer title from %Title statement in the PS file
-## 1: prefer title passed via commandline
-### Default: 0
-
-#TitlePref 0
-
-
-###########################################################################
-# #
-# User Settings #
-# #
-###########################################################################
-
-### Key: AnonUser
-## uid for anonymous PDF creation (this might be a security issue)
-## this setting has no influence on AnonDirName (see there)
-## set this to an empty value to disable anonymous
-### Default: nobody
-
-#AnonUser nobody
-
-### Key: LowerCase
-## This options allows to check user names given to CUPS-PDF additionally
-## against their lower case variants. This is necessary since in some
-## Windows environments only upper case user names are passed. Usually UNIX
-## user names are all lower case and it is save to use this option
-## but be aware that it can lead to mis-identifications in case
-## you have user names that differ only in upper/lower case.
-## check only against user name as passed to CUPS : 0
-## check additionally against lower case user name : 1
-### Default: 1
-
-#LowerCase 1
-
-### Key: UserPrefix
-## some installations require a domain prefix added to the user name
-## leave empty for no prefix
-### Default: <empty>
-
-#UserPrefix
-
-### Key: DirPrefix
-## if a prefix was defined above this switch toggels whether to include
-## the prefix in the output directory's name (if not $HOME) or not
-## 0: do not include, 1: include
-### Default: 0
-
-#DirPrefix 0
-
-### Key: RemovePrefix
-## some installation pass usernames with a prefix (usually a domain name)
-## if you do not want this prefix to be used by the ${USER} variable for
-## output directories put the part which is to be cut here
-### Default: <empty>
-
-#RemovePrefix
-
-
-###########################################################################
-# #
-# Security Settings #
-# #
-###########################################################################
-
-### Key: AnonUMask
-## umask for anonymous output
-## these are the _inverse_ permissions to be granted
-### Default: 0000
-
-#AnonUMask 0000
-
-### Key: UserUMask
-## umask for user output of known users
-## changing this can introduce security leaks if confidential
-## information is processed!
-### Default: 0077
-
-#UserUMask 0077
-
-### Key: Grp
-## group cups-pdf is supposed to run as - this will also be the gid for all
-## created directories and log files
-### Default: lp
-
-#Grp lp
-
-
-###########################################################################
-# #
-# Log Settings #
-# #
-###########################################################################
-
-### Key: Log
-## CUPS-PDF log directory
-## set this to an empty value to disable all logging
-### Default: /var/log/cups
-
-#Log /var/log/cups
-
-### Key: LogType
-## log-mode
-## 1: errors
-## 2: status (i.e. activity)
-## 4: debug - this will generate a lot of log-output!
-## add up values to combine options, i.e. 7 is full logging
-## if logging is disabled these setting have no effect
-### Default: 3
-
-#LogType 3
-
-
-###########################################################################
-# #
-# PDF Conversion Settings #
-# #
-###########################################################################
-
-### Key: GhostScript
-## location of GhostScript binary (gs)
-## MacOSX: for using pstopdf (recommended) set this to /usr/bin/pstopdf
-## or its proper location on your system
-### Default: /usr/bin/gs
-
-#GhostScript /usr/bin/gs
-
-### Key: GSTmp
-## location of temporary files during GhostScript operation
-## this must be user-writable like /var/tmp or /tmp !
-### Default: /var/tmp
-
-#GSTmp /var/tmp
-
-### Key: GSCall
-## command line for calling GhostScript (!!! DO NOT USE NEWLINES !!!)
-## MacOSX: for using pstopdf set this to %s %s -o %s %s
-### Default: %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
-
-#GSCall %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
-
-### Key: PDFVer
-## PDF version to be created - can be "1.5", "1.4", "1.3" or "1.2"
-## MacOSX: for using pstopdf set this to an empty value
-### Default: 1.4
-
-#PDFVer 1.4
-
-### Key: PostProcessing
-## postprocessing script that will be called after the creation of the PDF
-## as arguments the filename of the PDF, the username as determined by
-## CUPS-PDF and the one as given to CUPS-PDF will be passed
-## the script will be called with user privileges
-## set this to an empty value to use no postprocessing
-### Default: <empty>
-
-#PostProcessing
-
-
-###########################################################################
-# #
-# Experimental Settings #
-# These settings activate experimental options. If you decide to use #
-# them I would appreciate any feedback - including an 'ok' if they #
-# work as expected - so I can eventually put them into the non- #
-# experimental sections. #
-# #
-###########################################################################
-
-### Key: DecodeHexStrings
-## this option will try to decode hex strings in the title to allow
-## internationalized titles
-## (have a look at contrib/pstitleconv for a suitable filter for data
-## from Windows clients)
-## 0: disable, 1: enable
-### Default: 0
-
-#DecodeHexStrings 0
-
-### Key: FixNewlines
-## this option will try to fix various unusal line delimiters (e.g.
-## form feeds)
-## especially useful when using non-Linux-generated files
-## 0: disable, 1: enable
-### Default: 0
-
-#FixNewlines 0
-
-# cups-pdf.conf -- CUPS Backend Configuration (version 2.4.8, 2008-06-22)
+# cups-pdf.conf -- CUPS Backend Configuration (version 2.6.1, 2011-10-04)
# 18.09.2005, Volker C. Behr
-# Exp. Physik V, Uni Wuerzburg
-# vrbehr@cip.physik.uni-wuerzburg.de
-# http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf
+# Experimentelle Physik V, Universitaet Wuerzburg
+# behr@physik.uni-wuerzburg.de
+# http://www.cups-pdf.de
#
#
# This code may be freely distributed as long as this header
# #
###########################################################################
+### Key: Truncate
+## truncate long filenames to a maximum of <Truncate> characters
+## this does not consider the full path to the output but only the filename
+## without the .pdf-extension or a job-id prefix (see 'Label')
+## the minimal value is 8
+### Default: 64
+
+#Truncate 64
+
### Key: Cut
## removing file name extensions before appending .pdf to output
## extensions will only be removed if _both_ the following criteria are met:
## label all jobs with a unique job-id in order to avoid overwriting old
## files in case new ones with identical names are created; always true for
## untitled documents
-## 0: label untitled documents only, 1: label all documents
+## 0: label untitled documents only
+## 1: label all documents with a preceeding "job_#-"
+## 2: label all documents with a tailing "-job_#"
### Default: 0
#Label 0
###########################################################################
### Key: AnonUser
-## user for anonymous PDF creation (this might be a security issue)
+## uid for anonymous PDF creation (this might be a security issue)
+## this setting has no influence on AnonDirName (see there)
## set this to an empty value to disable anonymous
### Default: nobody
###########################################################################
### Key: DecodeHexStrings
-## this option will try to decode hex strings in the title to allow
+## this option will try to decode hex strings in the title to allow
## internationalized titles
## (have a look at contrib/pstitleconv for a suitable filter for data
## from Windows clients)
### Default: 0
#DecodeHexStrings 0
+
+### Key: FixNewlines
+## this option will try to fix various unusal line delimiters (e.g.
+## form feeds)
+## especially useful when using non-Linux-generated files
+## 0: disable, 1: enable
+### Default: 0
+
+#FixNewlines 0
+
# Printer configuration file for CUPS v1.4.8
-# Written by cupsd on 2012-03-12 07:10
+# Written by cupsd on 2012-03-12 18:32
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
<DefaultPrinter FS-1020D>
Info Kyocera FS-1020D
# Printer configuration file for CUPS v1.4.8
-# Written by cupsd on 2012-03-11 10:35
+# Written by cupsd on 2012-03-12 07:10
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
<DefaultPrinter FS-1020D>
Info Kyocera FS-1020D
+++ /dev/null
-postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.3"
+++ /dev/null
-postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.3"
+++ /dev/null
-postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.3"
-postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.3"
-postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.3"
-postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.2-r2"
+postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.3"
+++ /dev/null
-#!/sbin/runscript
-# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r5,v 1.1 2012/02/20 09:03:53 chainsaw Exp $
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-alsastatedir=/var/lib/alsa
-alsascrdir=/etc/alsa.d
-
-extra_commands="save restore"
-
-depend() {
- need localmount
- after bootmisc modules isapnp coldplug hotplug
-}
-
-restore() {
- ebegin "Restoring Mixer Levels"
-
- if [ ! -r "${alsastatedir}/asound.state" ] ; then
- ewarn "No mixer config in ${alsastatedir}/asound.state, you have to unmute your card!"
- eend 0
- return 0
- fi
-
- local cards="$(sed -n -e 's/ *\([[:digit:]]*\) .*/\1/p' /proc/asound/cards)"
- local CARDNUM
- for cardnum in ${cards}; do
- [ -e /dev/snd/controlC${cardnum} ] || sleep 2
- [ -e /dev/snd/controlC${cardnum} ] || sleep 2
- [ -e /dev/snd/controlC${cardnum} ] || sleep 2
- [ -e /dev/snd/controlC${cardnum} ] || sleep 2
- alsactl -I -f "${alsastatedir}/asound.state" restore ${cardnum} \
- || ewarn "Errors while restoring defaults, ignoring"
- done
-
- for ossfile in "${alsastatedir}"/oss/card*_pcm* ; do
- [ -e "${ossfile}" ] || continue
- # We use cat because I'm not sure if cp works properly on /proc
- local procfile=${ossfile##${alsastatedir}/oss}
- procfile="$(echo "${procfile}" | sed -e 's,_,/,g')"
- if [ -e /proc/asound/"${procfile}"/oss ] ; then
- cat "${ossfile}" > /proc/asound/"${procfile}"/oss
- fi
- done
-
- eend 0
-}
-
-save() {
- ebegin "Storing ALSA Mixer Levels"
-
- mkdir -p "${alsastatedir}"
- if ! alsactl -f "${alsastatedir}/asound.state" store; then
- eerror "Error saving levels."
- eend 1
- return 1
- fi
-
- for ossfile in /proc/asound/card*/pcm*/oss; do
- [ -e "${ossfile}" ] || continue
- local device=${ossfile##/proc/asound/} ; device=${device%%/oss}
- device="$(echo "${device}" | sed -e 's,/,_,g')"
- mkdir -p "${alsastatedir}/oss/"
- cp "${ossfile}" "${alsastatedir}/oss/${device}"
- done
-
- eend 0
-}
-
-start() {
- if [ "${RESTORE_ON_START}" = "yes" ]; then
- restore
- fi
-
- return 0
-}
-
-stop() {
- if [ "${SAVE_ON_STOP}" = "yes" ]; then
- save
- fi
- return 0
-}
+++ /dev/null
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/dbus/files/dbus.initd,v 1.1 2011/11/05 13:56:10 ssuominen Exp $
-
-extra_started_commands="reload"
-
-depend() {
- need localmount
- after bootmisc
-}
-
-start() {
- ebegin "Starting D-BUS system messagebus"
- /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
-
- # We need to test if /var/run/dbus exists, since script will fail if it does not
- [ ! -e /var/run/dbus ] && mkdir /var/run/dbus
-
- start-stop-daemon --start --pidfile /var/run/dbus.pid --exec /usr/bin/dbus-daemon -- --system
- eend $?
-}
-
-stop() {
- local retval
-
- ebegin "Stopping D-BUS system messagebus"
-
- start-stop-daemon --stop --pidfile /var/run/dbus.pid
- retval=$?
-
- eend ${retval}
-
- [ -S /var/run/dbus/system_bus_socket ] && rm -f /var/run/dbus/system_bus_socket
-
- return ${retval}
-}
-
-reload() {
- local retval
-
- ebegin "Reloading D-BUS messagebus config"
-
- /usr/bin/dbus-send --print-reply --system --type=method_call \
- --dest=org.freedesktop.DBus \
- / org.freedesktop.DBus.ReloadConfig > /dev/null
- retval=$?
- eend ${retval}
- return ${retval}
-}
#!/sbin/runscript
-# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r4,v 1.2 2011/10/23 15:59:07 polynomial-c Exp $
-# Copyright 1999-2011 Gentoo Foundation
+# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r5,v 1.1 2012/02/20 09:03:53 chainsaw Exp $
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
alsastatedir=/var/lib/alsa
after bootmisc modules isapnp coldplug hotplug
}
-load_modules() {
- # List of drivers for each card.
- local DRIVERS="$(modprobe -c | sed -n -e 's/^alias \(snd-card-[[:digit:]]\+\) .*/\1/p')"
-
- # Fall back on the automated aliases if we don't have ALSA configured properly...
- if [ -z "${DRIVERS}" ] && \
- ( [ ! -r /proc/asound/cards ] || grep -q ' no soundcards ' /proc/asound/cards 2>/dev/null ) ; then
- ewarn "Could not detect custom ALSA settings. Loading all detected alsa drivers."
- DRIVERS="$(modprobe -c | sed -n -e '/^alias pci:.* snd.*/ s/^alias pci:[^ ]* \(.*\)/\1/p' | sort | uniq)"
- if [ -z "${DRIVERS}" ] ; then
- eerror "Unable to find any ALSA drivers. Have you compiled alsa-drivers correctly?"
- fi
- fi
-
- if [ "${ENABLE_OSS_EMUL}" = "yes" ] ; then
- DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.*oss/ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
- fi
-
- # We want to ensure snd-seq is loaded as it is needed for things like
- # timidity even if we don't use a real sequencer.
- DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.seq\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
-
- # We want to ensure snd-ioctl32 is loaded as it is needed for 32bit
- # compatibility
- DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.ioctl32\./ s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
-
- local DRIVER= DMOD=
- for DRIVER in ${DRIVERS} ; do
- [ "${DRIVER}" = "off" ] && continue
- DMOD="$(echo "${DRIVER}" | sed -e 's/-/_/g')"
- if ! grep -q "^${DMOD} " /proc/modules ; then
- ebegin "Loading: ${DRIVER}"
- modprobe ${DRIVER}
- eend $?
- fi
- done
-
- if [ -f /proc/asound/seq/drivers ] ; then
- local SEQUENCERS="$(sed -n -e 's/\([^,]*\),empty,.*/\1/p' /proc/asound/seq/drivers)"
- local SEQUENCER
- for SEQUENCER in ${SEQUENCERS} ; do
- DMOD="$(echo "${SEQUENCER}" | sed -e 's/-/_/g')"
- if ! grep -q "^${DMOD} " /proc/modules ; then
- ebegin "Loading: ${SEQUENCER}"
- modprobe ${SEQUENCER}
- eend $?
- fi
- done
- fi
-
- for DRIVER in ${DRIVERS}
- do
- local TMP=${DRIVER##snd-}
- TMP=${TMP##snd_}
- if [ -x "${alsascrdir}/${TMP}" ] ; then
- ebegin "Running: ${alsascrdir}/${TMP}"
- "${alsascrdir}/${TMP}"
- eend $?
- fi
- done
-
- if [ ! -d /proc/asound ] || grep -q ' no soundcards ' /proc/asound/cards ; then
- eerror "ERROR: Failed to load necessary drivers"
- return 1
- fi
-}
-
-unload_modules_24() {
- local LOADED_MODULES="$(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p')"
- local MODULE
- for MODULE in ${LOADED_MODULES} ; do
- rmmod "${MODULE}"
- done
- rmmod soundcore 2>/dev/null
- rmmod gameport 2>/dev/null
-
- lsmod | grep -vq '^snd'
-}
-
-unload_modules_recursive() {
- local revdeps="$(lsmod | sed -n -e "s/,/ /g" -e "s/^$1 *[0-9]* *[0-9]* \(.*\)/\1/p")"
-
- for module in ${revdeps} ; do
- unload_modules_recursive "${module}"
- done
-
- vebegin "Unloading: $1"
- rmmod --wait "$1"
- veend $?
-}
-
-unload_modules_26() {
- # First of all, remove the snd module and all the modules depending
- # on it, this should remove already most of ALSA modules.
- lsmod | grep -q "^snd[[:space:]]" && unload_modules_recursive snd
-
- # Then find the remaining ones, and handle them too.
- for module in $(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p'); do
- unload_modules_recursive "${module}"
- done
-
- lsmod | grep -vq "^snd"
-}
-
-terminate() {
- #
- # Kill processes holding open sound devices
- #
- # DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; echo /proc/asound/dev/*`
- local ossdevs="/dev/admmidi* /dev/adsp* /dev/amidi* /dev/audio* /dev/dmfm* \
- /dev/dmmidi* /dev/dsp* /dev/dspW* /dev/midi0* /dev/mixer* /dev/music \
- /dev/patmgr* /dev/sequencer* /dev/sndstat"
- local alsadevs="/proc/asound/dev/* /dev/sound/* /dev/snd/*"
- fuser -k ${ossdevs} ${alsadevs} >/dev/null 2>/dev/null
-
- # remove all sequencer connections if any
- [ -f /proc/asound/seq/clients ] && type aconnect >/dev/null 2>/dev/null && aconnect --removeall
-}
-
restore() {
ebegin "Restoring Mixer Levels"
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
[ -e /dev/snd/controlC${cardnum} ] || sleep 2
- alsactl -f "${alsastatedir}/asound.state" restore ${cardnum} \
+ alsactl -I -f "${alsastatedir}/asound.state" restore ${cardnum} \
|| ewarn "Errors while restoring defaults, ignoring"
done
}
start() {
- if [ -f /proc/modules ] && [ "${LOAD_ON_START}" = "yes" ]; then
- ebegin "Loading ALSA modules"
- eindent
- load_modules
- eoutdent
- eend $? || return 1
- fi
-
- if [ ! -d /proc/asound ]; then
- eerror "ALSA failed to load."
- eend 1
- return 1
- elif [ "${RESTORE_ON_START}" = "yes" ]; then
+ if [ "${RESTORE_ON_START}" = "yes" ]; then
restore
fi
}
stop() {
- if [ ! -d /proc/asound ] ; then
- eerror "ALSA is not loaded"
- return 0
+ if [ "${SAVE_ON_STOP}" = "yes" ]; then
+ save
fi
-
- [ "${SAVE_ON_STOP}" = "yes" ] && save
-
return 0
}
#!/sbin/runscript
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/dbus/files/dbus.init-1.0,v 1.5 2011/09/23 12:45:03 polynomial-c Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/dbus/files/dbus.initd,v 1.1 2011/11/05 13:56:10 ssuominen Exp $
extra_started_commands="reload"
start() {
ebegin "Starting D-BUS system messagebus"
-
- /usr/bin/dbus-uuidgen --ensure
+ /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
# We need to test if /var/run/dbus exists, since script will fail if it does not
[ ! -e /var/run/dbus ] && mkdir /var/run/dbus